# Uses of Enum Class
javafx.scene.layout.BackgroundRepeat

Packages that use BackgroundRepeat
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of BackgroundRepeat in javafx.scene.layout

Methods in javafx.scene.layout that return BackgroundRepeat
Modifier and Type
Method
Description
`final BackgroundRepeat`
BackgroundImage.`getRepeatX()`
Indicates in what manner (if at all) the background image is to be repeated along the x-axis of the region.
`final BackgroundRepeat`
BackgroundImage.`getRepeatY()`
Indicates in what manner (if at all) the background image is to be repeated along the y-axis of the region.
`static BackgroundRepeat`
BackgroundRepeat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BackgroundRepeat[]`
BackgroundRepeat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in javafx.scene.layout with parameters of type BackgroundRepeat
Modifier
Constructor
Description
``
`BackgroundImage(Image image, BackgroundRepeat repeatX, BackgroundRepeat repeatY, BackgroundPosition position, BackgroundSize size)`
Creates a new BackgroundImage.